﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = BuildStateList();
    }

    private DataTable BuildStateList()
    {
        DataTable dt = new DataTable("Customers");
        dt.Columns.Add("ID", typeof(int));
        dt.Columns.Add("First Name", typeof(string));
        dt.Columns.Add("Last Name", typeof(string));
        dt.Columns.Add("Active", typeof(bool));
        dt.Columns.Add("Salary", typeof(Double));
        dt.Columns.Add("Date", typeof(DateTime));

        dt.Rows.Add().ItemArray = new object[] { 1, "Alice", "Garman", true, 1034.34, DateTime.Now };
        dt.Rows.Add().ItemArray = new object[] { 2, "Dude", "Man", true, 1034.34, DateTime.Now.AddDays(-30) };
        dt.Rows.Add().ItemArray = new object[] { 3, "Buddy", "Yager", false, 1054.34, DateTime.Now.AddDays(-20) };
        dt.Rows.Add().ItemArray = new object[] { 4, "Ken", "Jans", true, 104.34, DateTime.Now.AddDays(22) };

        return dt;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        WebExcelExporter1.Export(WebDataGrid1);
    }

    protected void WebExcelExporter1_Exported(object sender, Infragistics.Web.UI.GridControls.ExcelExportedEventArgs e)
    {
        e.Worksheet.Columns[1].CellFormat.FormatString = "$ 0.00";
        e.Worksheet.Columns[2].CellFormat.FormatString = "dd/mm/yyyy";
    }
}